RDS-RESTORE-DB-INSTANCE-TO-POINT-IN-TIME(1)

NAME
rds-restore-db-instance-to-point-in-time - Create a new database instance from a source instance at a specified time

SYNOPSIS

 rds-restore-db-instance-to-point-in-time
     TargetDBInstanceIdentifier --source-db-instance-identifier value
    [--auto-minor-version-upgrade value ] [--availability-zone value ]
    [--db-instance-class value ] [--db-name value ]
    [--db-subnet-group-name value ] [--engine value ] [--iops value ]
    [--license-model value ] [--multi-az value ] [--option-group value ]
    [--port value ] [--restore-time value ] [--use-latest-restorable-time
    ] [General Options]

DESCRIPTION

    Creates a new database instance with the data contained by the
 source instance at the specified restore time. This is possible
 only if there is an existing system snapshot which was created
 prior to the requested restore time. System snapshots are
 created daily during the backup window and are retained for a
 number of days equal to the backup retention period. No system
 snapshots will be taken for instances whose backup retention
 period is zero. Some characteristics of the new database
 instance can be modified via optional parameters; if these are
 omitted, the new restored database instance will default to the
 characteristics of the instance from which the snapshot was taken.

ARGUMENTS

 TargetDBInstanceIdentifier
    User-supplied database instance identifier. Uniquely
    identifies the database instance to be created. The
    identifier must be 1 to 63 alphanumeric characters or
    hyphens, and case will not be not preserved. You can also set this value
    using "--target-db-instance-identifier". Required.

SPECIFIC OPTIONS

 -au, --auto-minor-version-upgrade VALUE
    Whether minor version upgrades will automatically be applied to the
    database instance during its maintenance window.

 -c, --db-instance-class VALUE
    The compute and memory capacity of the database Instance.

 -e, --engine VALUE
    Engine to be used for the instance.

 --iops VALUE
    Provisioned storage I/O operations per second for the instance. If this
    parameter is not specified, the value will be copied from the original
    instance. If this parameter is set to 0 (zero), the new instance will not
    have Provisioned IOPS.

 -l, --use-latest-restorable-time
    May be specified instead of --restore-time, resulting
    in the instance being restored to the latest time for
    which backups are available. This time can be viewed with
    rds-describe-db-instances. The default value is 'false'.

 -lm, --license-model VALUE
    License model to be used for the instance.

 -m, --multi-az VALUE
    Whether the instance will run as a Multi-AZ DB deployment. Boolean value,
    default is 'false'.

 -n, --db-name VALUE
    DB name to be used for the instance.

 -og, --option-group VALUE
    The name of the option group that should be associated with this
    instance.

 -p, --port VALUE
    Port number on which the database accepts
    connections. Default will be the port of the database instance from which
    the snapshot was taken.

 -r, --restore-time VALUE
    The date and time to restore to. This time must be in
    the past, and it must be after the creation of the
    oldest remaining system snapshot.

 -s, --source-db-instance-identifier VALUE
    User-supplied database instance identifier. The id of
    the instance to restore from. Must be available and
    must have point-in-time restore enabled (i.e., a
    nonzero backup retention period). Required.

 -sn, --db-subnet-group-name VALUE
    The DB Subnet Group name will be associated with the restored DB
    instance.

 -z, --availability-zone VALUE
    The EC2 Availability Zone name the database will be
    created in. Default: System chosen (random)
    availability zone. Example: us-east-1c.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Restores an instance 'restored-db' to the state 'source-db' was in at
          1:00 PM on July 31, 2009, using the minimal set of arguments
           arguments (source instance ID, target instance ID, restore time):

 $PROMPT>rds-restore-db-instance-to-point-in-time restored-db -s source-db -r 2009-07-31T13:00:00Z

 Restores an instance in a different availability zone than the original.

 $PROMPT>rds-restore-db-instance-to-point-in-time restored-db -s source-db -r 2009-07-31T13:00:00Z -z us-east-1b

 Same as the example above, but uses full-length flag names.

 $PROMPT>rds-restore-db-instance-to-point-in-time --target-db-instance-identifier restored-db --source-db-instance-identifier source-db --restore-time 2009-07-31T13:00:00Z --availability-zone us-east-1b

OUTPUT

 This command returns a table that contains the following:
 * DBInstanceId - User-supplied database identifier, this is the unique key
 that identifies a database instance.
 * Created - When the instance was created, in UTC.
 * Class - The compute and memory capacity of the database instance.
 * Engine - Name of the database engine to be used for this database
 instance.
 * Storage - Initially allocated storage size specified in GBs. Limited to
 200GB.
 * Iops - Provisioned storage I/O operations per second.
 * Master Username - The master username for the instance.
 * Status - The current status of the instance.
 * Endpoint Address - Address of the database instance.
 * Port - Port used to connect to the database instance.
 * AZ - The instance's availability zone.
 * Backup Retention - The number of days for which automated backups and
 point-in-time restore are available.
 * PendingBackupRetention - Indicates a pending or in-progress change in the
 number of days for which automated backups and point-in-time restore are
 available.
 * PendingClass - The class to which the instance will be scaled during the
 next maintenance window, or to which it is currently being scaled if the
 --apply-immediately option was specified.
 * PendingCredentials - Indicates a pending or in-progress change of the
 master user password for the database instance. Always displayed as "****"
 for security reasons.
 * PendingStorage - The storage size to which the instance will be scaled
 during the next maintenance window, or to which it is currently being scaled
 if the --apply-immediately option was specified.
 * PendingIops - The storage I/O operations per second to which the instance
 will be provisioned during the next maintenance window, or to which it is
 currently being provisioned if the --apply-immediately option was specified.
 * PendingMulti-AZ - If true, the instance will be converted to run as a
 Multi-AZ deployment. If false, it will be converted to run as a standard
 (Single-AZ) deployment.
 * PendingVersion - Version of the database engine which will be deployed
 during the next maintenance window, or which is currently being deployed if
 the --apply-immediately option was specified.
 * DB Name - Name of the initial database created when the instance was
 created. This column appears only in the --show-long view.
 * Maintenance Window - The window during which patching and instance
 modifications will be performed. This column appears only in the --show-long
 view.
 * Backup Window - The window of time during which daily automated backups
 are taken. This column appears only in the --show-long view.
 * Latest Restorable Time - The latest time to which a database can be
 restored with point-in-time restore. This column appears only in the
 --show-long view.
 * Multi-AZ - Whether the instance is running as a Multi-AZ deployment.
 * Version - The database engine's version number.
 * Auto Minor Version Upgrade - Whether minor version upgrades will
 automatically be applied to the database instance during its maintenance
 window. This column appears only in the --show-long view.
 * Read Replica Source ID - The DB Instance which this DB Instance
 replicates.
 * License - No description available for this column.
 * Character Set - The character set that this DB Instance was created with,
 if applicable.
 * Name - Security Group name.
 * Status - Status of authorization.
 * Name - Subnet Group name.
 * Description - Subnet Group description.
 * Status - Status of the DB Subnet Group.
 * VpcId - Vpc Id of the Subnet Group.
 * Subnet Identifier - Subnet Group Identifier.
 * Subnet Availability Zone - Subnet Availability Zone.
 * Status - Status of Subnet.
 * Group Name - Name of database parameter group applied to.
 * Apply Status - Status of applying the parameter group. It can be either
 in-sync or pending-reboot.
 * Name - The name of the associated option group.
 * Status - The status of the option group membership (e.g. in-sync,
 applying, pending, pending-maintenance).
 * Read Replica ID - The identifier of a DB Instance which acts as a read
 replica of this DB Instance.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference